[blfs-dev] libpng-1.6.8-apng.patch.gz [Was: ... r12433 ...]

Fernando de Oliveira famobr at yahoo.com.br
Sun Dec 22 05:29:18 PST 2013


Em 22-12-2013 10:00, fernando at higgs.linuxfromscratch.org escreveu:
> Author: fernando
> Date: Sun Dec 22 05:00:32 2013
> New Revision: 12433
> 
> Log:
> libpng-1.6.8: revert the apng patch to the usual one, to be safe. Just discovered that they are different.
> 
> Modified:
>    trunk/BOOK/general/graphlib/libpng.xml
> 
> Modified: trunk/BOOK/general/graphlib/libpng.xml
> ==============================================================================
> --- trunk/BOOK/general/graphlib/libpng.xml	Sat Dec 21 23:38:34 2013	(r12432)
> +++ trunk/BOOK/general/graphlib/libpng.xml	Sun Dec 22 05:00:32 2013	(r12433)
> @@ -14,11 +14,8 @@
>  
>    <!ENTITY apng-version "1.6.8">
>  
> -<!--  <!ENTITY apng-patch
> -           "&sourceforge-repo;/libpng-apng/libpng-&apng-version;-apng.patch.gz">
> --->
>    <!ENTITY apng-patch
> -           "&sourceforge-repo;/project/apng/libpng/libpng16/libpng-&apng-version;-apng.patch.gz">
> +           "&sourceforge-repo;/libpng-apng/libpng-&apng-version;-apng.patch.gz">
>  ]>
>  
>  <sect1 id="libpng" xreflabel="libpng-&libpng-version;">
> @@ -105,7 +102,7 @@
>        If you want to patch libpng to support apng files, apply the patch:
>      </para>
>  
> -<screen><userinput>gzip -cd ../libpng-&apng-version;-apng.patch.gz | patch -p0</userinput></screen>
> +<screen><userinput>gzip -cd ../libpng-&apng-version;-apng.patch.gz | patch -p1</userinput></screen>
>  
>      <para>
>        Install <application>libpng</application> by running the following

Bruce, please, replace the file at anduin. Do not know if today or
tomorrow, because the book instructions for the patch is with "p0", and
tomorrow will be back to "p1"


-- 
[]s,
Fernando



More information about the blfs-dev mailing list